
# Create the pretrained Drift Detector.
apiVersion: serving.knative.dev/v1
kind: Service
metadata:
  name: speller-drift-detector
  namespace: kubeflow-profile
spec:
  template:
    metadata:
      annotations:
        autoscaling.knative.dev/minScale: "1"
        sidecar.istio.io/inject: "false"
    spec:
      serviceAccountName: default-editor
      containers:
      - image: haojiun/alibi-detect-server:latest
        imagePullPolicy: IfNotPresent
        args:
        - --model_name
        - speller_cd
        - --http_port
        - '8080'
        - --protocol
        - tensorflow.http
        - --storage_uri
        - s3://orca-lab-bucket/kubeflow-pilot/seq2seq_speller/alibi_detect/mmd/
        - --reply_url
        - http://speller-event-display.kubeflow-profile
        - --event_type
        - org.kubeflow.serving.inference.outlier
        - --event_source
        - org.kubeflow.serving.speller_cd
        - DriftDetector
        - --drift_batch_size
        - '10'
        resources:
            limits:
              memory: 6Gi
            requests:
              memory: 4Gi
